<h3 nz-title>
  <div *ngIf="!isNameEdited">
    {{ entity.name }}
    <button
      *ngIf="!isNameEdited; else confirmButtons"
      nz-button
      nzShape="round"
      (click)="editName()" nzSize="small"
      tooltip
      nzTooltipTitle='{{ "Entity.Components.changeNameCost" | translate }}'
    >
      <i class="fas fa-pen"></i>
    </button>
  </div>
  <div *ngIf="isNameEdited">
    <nz-spin [nzSpinning]="isLoading">
      <nz-input-group [nzAddOnAfter]="suffixIconButton">
        <input
          type="text"
          [(ngModel)]="newName"
          nz-input
          placeholder='{{ "Entity.Components.newName" | translate }}'
        />
      </nz-input-group>
      <ng-template #suffixIconButton>
        <nz-button-group>
          <button
            nz-button
            nzShape="round"
            nzType="primary"
            (click)="changeName()"
            [disabled]="!newName"
            nz-tooltip
            nzSize="small"
            nzTooltipTitle='{{ "Entity.Components.confirmChangingName" | translate }}'
          >
            <i class="fas fa-check"></i>
          </button>
          <button
            nz-button
            nzShape="round"
            nzType="secondary"
            (click)="editName()"
            nz-tooltip
            nzSize="small"
            nzTooltipTitle='{{ "Entity.Components.cancelChanging" | translate }}'
          >
            <i class="fas fa-times"></i>
          </button>
        </nz-button-group>
      </ng-template>
    </nz-spin>
  </div>
</h3>
